;REM Bogenbemasung
(defun c:BemBL(/ es en el len)
 (setq es(entsel "Bitte Bogen whlen: "))
 (if es (progn
   (setq en(car es)
         el(entget en)
   )
   (if (= "ARC" (cdr (assoc 0 el)))(progn
     (setq len(BogenLaenge el))
     (command "_dimangular" 
              es 
              "_text" 
              (strcat "L=" (rtos len 2))
     )
   );else
     (alert "Funktioniert nur mit Bgen")
   )
 ))
 (princ)
)

;REM Ermittlung der Bogenlnge Fr BEMBL BemBLw
; Umfang Kreis = 2*R*pi
; Lnge Bogen: Umfang/360 = Len/Eingeschl.Winkel
(defun BogenLaenge(el / sw ew w )
 (setq sw (cdr (assoc 50 el))
       ew (cdr (assoc 51 el))
 )
 
 (if (> sw ew)
   (setq w (+ ew (- (* pi 2) sw))) ; sw von 360 Grad abziehen
 ;else
   (setq w (- ew sw))
  )
  (* (cdr(assoc 40 el)) w) ; Mit Radius multiplizieren
)

;REM Bogenbemassung mit zustzlicher Winkelangabe
(defun c:BemBLwi(/ es en el len)
 (setq es(entsel "Bitte Bogen whlen: "))
 (if es (progn
   (setq en(car es)
         el(entget en)
   )
   (if (= "ARC" (cdr (assoc 0 el)))(progn
     (setq len(BogenLaenge el))
     (command "_dimangular" 
              es 
              "_text" 
              (strcat "<> L=" (rtos len 2))
     )
   );else
     (alert "Funktioniert nur mit Bgen")
   )
 ))
 (princ)
)
